Package: java.org.codenarc.ant

## [Java] Class AntFileSetSourceAnalyzer

- java.org.codenarc.ant.AntFileSetSourceAnalyzer

- SourceAnalyzer implementation that gets source files from one or more Ant FileSets.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected List<org.apache.tools.ant.types.FileSet>` | `fileSets` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AntFileSetSourceAnalyzer (org.apache.tools.ant.Project project, org.apache.tools.ant.types.FileSet fileSet)` Construct a new instance on the specified Ant FileSet.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Results` | `analyze(RuleSet ruleSet)` Analyze all source code using the specified RuleSet and return the report results.
    `` | `List` | `getSourceDirectories()`

- - ### Field Detail

    - #### protected final List<org.apache.tools.ant.types.FileSet> fileSets

  - ### Constructor Detail

    - #### public AntFileSetSourceAnalyzer(org.apache.tools.ant.Project project, org.apache.tools.ant.types.FileSet fileSet)

      Construct a new instance on the specified Ant FileSet.

      Parameters:
        `project` - - the Ant Project; must not be null
        `fileSet` - - the Ant FileSet; must not be null

  - ### Method Detail

    - #### public Results analyze(RuleSet ruleSet)

      Analyze all source code using the specified RuleSet and return the report results.

      Parameters:
        `ruleSet` - - the RuleSet to apply to each source component; must not be null.
      Returns:
        the results from applying the RuleSet to all of the source

    - #### public List getSourceDirectories()